package com.ffii.fpsms.modules.purchaseOrder.enums

import com.ffii.fpsms.modules.master.enums.ShopType

enum class PurchaseOrderStatus(val value: String) {
    PENDING ("pending"),
    RECEIVING ("receiving"),
    COMPLETED ("completed");

    companion object {
        fun fromValue(value: String): ShopType {
            return ShopType.entries.find { it.value == value }
                ?: throw IllegalArgumentException("No enum constant with value: $value")
        }
    }
}

enum class PurchaseOrderType(val value: String) {
    MATERIAL ("material"),
    SHOP ("shop"),
    OEM ("oem")
}